Package net.shibboleth.saml.profile.config

# Interface SAMLArtifactConfiguration

All Known Implementing Classes:
  `BasicSAMLArtifactConfiguration`

public interface SAMLArtifactConfiguration
Interface for outbound SAML artifact configuration.

While sufficient for known SAML 1 and 2 artifact types, the interface may be extended if necessary to carry type-specific additions.

## Method Summary

Modifier and Type
Method
Description
`Integer`
`getArtifactResolutionServiceIndex()`
Get the index of the issuer's resolution service endpoint, corresponding to its metadata.
`String`
`getArtifactResolutionServiceURL()`
Get the location, as a URL, of the issuer's resolution service endpoint.
`byte[]`
`getArtifactType()`
Get the type code of the artifact to use.

## Method Details

### getArtifactType

@Nullable byte[] getArtifactType()
Get the type code of the artifact to use.

Returns:
  the artifact type code

### getArtifactResolutionServiceURL

@Nullable String getArtifactResolutionServiceURL()
Get the location, as a URL, of the issuer's resolution service endpoint.

Returns:
  location of resolution service endpoint

### getArtifactResolutionServiceIndex

@Nullable Integer getArtifactResolutionServiceIndex()
Get the index of the issuer's resolution service endpoint, corresponding to its metadata.

Returns:
  index of resolution service endpoint in metadata